 <!-- <div class="container rg-container">
  <mat-card>
   <form [formGroup]="form" (ngSubmit)="auth.register(form.value)">
      <mat-form-field>
            <input matInput placeholder="Name" type="text" formControlName="name">
      </mat-form-field>
      <mat-form-field class="rg-offset">
        <input matInput placeholder="Email" type="email" formControlName="email">
      </mat-form-field>
      <mat-form-field>
          <input matInput placeholder="Password" type="password" formControlName="password">
        </mat-form-field>
      <button mat-raised-button color="primary" class="rg-br">Register</button>
    </form>
  </mat-card>
</div>
  button [disabled]="!form.valid"
  
  --> 
  <section class="signup">
    <div class="container">
        <div class="signup-content">
            <div class="signup-form">
                <h2 class="form-title">Sign up</h2>
                <form [formGroup]="form" (ngSubmit)="auth.register(form.value)">
                  
                    <div class="form-group">
                        <label for="name"><i class="zmdi zmdi-account material-icons-name"></i></label>
                        <input type="text" name="name" id="name" placeholder="Your Name" formControlName="name"/>
                    </div>
                    <div class="form-group">
                        <label for="email"><i class="zmdi zmdi-email"></i></label>
                        <input type="email" name="email" id="email" placeholder="Your Email" formControlName="email"/>
                    </div>
                    <div class="form-group">
                        <label for="pass"><i class="zmdi zmdi-lock"></i></label>
                        <input type="password" name="pass" id="pass" placeholder="Password" formControlName="password"/>
                    </div>
                    <div class="form-group form-button">
                        <input type="submit" name="signup" id="signup" class="form-submit" value="Register"/>
                    </div>
                </form>
            </div>
            <div class="signup-image">
                <figure><img src="assets/images/signup-image.jpg" alt="sing up image"></figure>
                <a href="/login" class="signup-image-link">I am already member</a>
            </div>
        </div>
    </div>
</section>